KFile class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KFile Class Reference

KFile is a class which provides a namespace for some enumerated values associated with the kfile library. More...

`#include <kfile.h>`

List of all members.

## Public Types
enum | Mode { File = 1, Directory = 2, Files = 4, ExistingOnly = 8, LocalOnly = 16 }
| Modes of operation for the dialog. More...
enum | FileView { Default = 0, Simple = 1, Detail = 2, SeparateDirs = 4, PreviewContents = 8, PreviewInfo = 16 }
enum | SelectionMode { Single = 1, Multi = 2, Extended = 4, NoSelection = 8 }
## Static Public Member Functions
bool | isSortByName (const QDir::SortSpec &sort)
bool | isSortBySize (const QDir::SortSpec &sort)
bool | isSortByDate (const QDir::SortSpec &sort)
bool | isSortDirsFirst (const QDir::SortSpec &sort)
bool | isSortCaseInsensitive (const QDir::SortSpec &sort)
bool | isDefaultView (const FileView &view)
bool | isSimpleView (const FileView &view)
bool | isDetailView (const FileView &view)
bool | isSeparateDirs (const FileView &view)
bool | isPreviewContents (const FileView &view)
bool | isPreviewInfo (const FileView &view)
| Since: 3.1

## Detailed Description

KFile is a class which provides a namespace for some enumerated values associated with the kfile library.

You will never need to construct a KFile object itself.

Definition at line 29 of file kfile.h.

## Member Enumeration Documentation

enum KFile::Mode

| Modes of operation for the dialog. `File` - Get a single file name from the user. `Directory` - Get a directory name from the user. `Files` - Get multiple file names from the user. `ExistingOnly` - Never return a filename which does not exist yet `LocalOnly` - Don't return remote filenames Definition at line 40 of file kfile.h. Referenced by KFileDialog::mode(), and KDirOperator::mode().

## Member Function Documentation

bool KFile::isPreviewInfo | ( | const FileView & | view | ) | `[inline, static]`

| Since: 3.1 Definition at line 119 of file kfile.h. Referenced by KDirOperator::createView(), and KDirOperator::setView().

The documentation for this class was generated from the following file:

- kfile.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:28 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001